{{ with set . "component" "api" }}
apiVersion: apps/v1
kind: Deployment
metadata: {{ include "check-in-api.common.metadata" . | nindent 2 }}
spec:
  replicas: 1
  selector:
    matchLabels: {{ include "check-in-api.common.metadata-labels" . | nindent 6 }}
  template:
    metadata:
      labels: {{ include "check-in-api.common.metadata-labels" . | nindent 8 }}
    spec:
      containers:
        - name: api
          image: {{ .Values.apiImage | quote }}
          imagePullPolicy: {{ .Values.imagePullPolicy }}
          command: ["/usr/local/bin/check-in-api"]
          args: ["--migrations-path=/usr/local/bin/migrations"]
          env:
            - name: POSTGRES_DSN
              value: {{.Values.postgresDsn}}
---
apiVersion: v1
kind: Service
metadata: {{ include "check-in-api.common.metadata" . | nindent 2 }}
spec:
  selector: {{ include "check-in-api.common.metadata-labels" . | nindent 4 }}
  ports:
    - name: http
      protocol: TCP
      port: 80
      targetPort: 3000
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata: {{ include "check-in-api.common.metadata" . | nindent 2 }}
  annotations:
    kubernetes.io/ingress.class: {{ .Values.ingressClass }}
spec:
  rules:
    - host: {{ .Values.domain }}
      http:
        paths:
          - path: /
            backend:
              serviceName: {{ .component }}
              servicePort: http
{{ end }}